org.apache.hadoop.mapreduce.v2.api

## Interface MRClientProtocol

- All Known Subinterfaces:
    HSClientProtocol
  All Known Implementing Classes:
    HSClientProtocolPBClientImpl, MRClientProtocolPBClientImpl

      public interface MRClientProtocol

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `CancelDelegationTokenResponse` | `cancelDelegationToken(CancelDelegationTokenRequest request)` Cancel an existing delegation token.
    `FailTaskAttemptResponse` | `failTaskAttempt(FailTaskAttemptRequest request)`
    `InetSocketAddress` | `getConnectAddress()` Address to which the client is connected
    `GetCountersResponse` | `getCounters(GetCountersRequest request)`
    `GetDelegationTokenResponse` | `getDelegationToken(GetDelegationTokenRequest request)`
    `GetDiagnosticsResponse` | `getDiagnostics(GetDiagnosticsRequest request)`
    `GetJobReportResponse` | `getJobReport(GetJobReportRequest request)`
    `GetTaskAttemptCompletionEventsResponse` | `getTaskAttemptCompletionEvents(GetTaskAttemptCompletionEventsRequest request)`
    `GetTaskAttemptReportResponse` | `getTaskAttemptReport(GetTaskAttemptReportRequest request)`
    `GetTaskReportResponse` | `getTaskReport(GetTaskReportRequest request)`
    `GetTaskReportsResponse` | `getTaskReports(GetTaskReportsRequest request)`
    `KillJobResponse` | `killJob(KillJobRequest request)`
    `KillTaskResponse` | `killTask(KillTaskRequest request)`
    `KillTaskAttemptResponse` | `killTaskAttempt(KillTaskAttemptRequest request)`
    `RenewDelegationTokenResponse` | `renewDelegationToken(RenewDelegationTokenRequest request)` Renew an existing delegation token.

- - ### Method Detail

    - #### getConnectAddress

          InetSocketAddress getConnectAddress()

      Address to which the client is connected
      Returns:
        InetSocketAddress

    - #### getJobReport

          GetJobReportResponse getJobReport(GetJobReportRequest request)
                                     throws IOException

      Throws:
        `IOException`

    - #### getTaskReport

          GetTaskReportResponse getTaskReport(GetTaskReportRequest request)
                                       throws IOException

      Throws:
        `IOException`

    - #### getTaskAttemptReport

          GetTaskAttemptReportResponse getTaskAttemptReport(GetTaskAttemptReportRequest request)
                                                     throws IOException

      Throws:
        `IOException`

    - #### getCounters

          GetCountersResponse getCounters(GetCountersRequest request)
                                   throws IOException

      Throws:
        `IOException`

    - #### getTaskAttemptCompletionEvents

          GetTaskAttemptCompletionEventsResponse getTaskAttemptCompletionEvents(GetTaskAttemptCompletionEventsRequest request)
                                                                         throws IOException

      Throws:
        `IOException`

    - #### getTaskReports

          GetTaskReportsResponse getTaskReports(GetTaskReportsRequest request)
                                         throws IOException

      Throws:
        `IOException`

    - #### getDiagnostics

          GetDiagnosticsResponse getDiagnostics(GetDiagnosticsRequest request)
                                         throws IOException

      Throws:
        `IOException`

    - #### killJob

          KillJobResponse killJob(KillJobRequest request)
                           throws IOException

      Throws:
        `IOException`

    - #### killTask

          KillTaskResponse killTask(KillTaskRequest request)
                             throws IOException

      Throws:
        `IOException`

    - #### killTaskAttempt

          KillTaskAttemptResponse killTaskAttempt(KillTaskAttemptRequest request)
                                           throws IOException

      Throws:
        `IOException`

    - #### failTaskAttempt

          FailTaskAttemptResponse failTaskAttempt(FailTaskAttemptRequest request)
                                           throws IOException

      Throws:
        `IOException`

    - #### getDelegationToken

          GetDelegationTokenResponse getDelegationToken(GetDelegationTokenRequest request)
                                                 throws IOException

      Throws:
        `IOException`

    - #### renewDelegationToken

          RenewDelegationTokenResponse renewDelegationToken(RenewDelegationTokenRequest request)
                                                     throws IOException

      Renew an existing delegation token.
      Parameters:
        `request` - the delegation token to be renewed.
      Returns:
        the new expiry time for the delegation token.
      Throws:
        `IOException`

    - #### cancelDelegationToken

          CancelDelegationTokenResponse cancelDelegationToken(CancelDelegationTokenRequest request)
                                                       throws IOException

      Cancel an existing delegation token.
      Parameters:
        `request` - the delegation token to be cancelled.
      Returns:
        an empty response.
      Throws:
        `IOException`

Copyright © 2008–2022 Apache Software Foundation. All rights reserved.